/* Allgemeine Einstellungen */
body {
    margin: 0;
    font-family: Arial, sans-serif;
    line-height: 1.6;
    color: #333;
}

/* Navbar */
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 2rem;
    background-color: #0c3157;
    color: #fff;
}

.navbar .logo {
    font-size: 1.5rem;
    font-weight: bold;
}

.nav-links {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
}

.nav-links li {
    margin: 0 1rem;
}

.nav-links a {
    text-decoration: none;
    color: #fff;
    transition: color 0.3s ease;
}

.nav-links a:hover {
    color: #f0f0f0;
}

/* Hero Section */
.hero-section {
    padding: 2rem;
    background: linear-gradient(to bottom, #082024, #0056b3);
    color: #fff;
    text-align: center;
}

.hero-section h1 {
    font-size: 3rem;
    margin-bottom: 1rem;
}

.hero-section p {
    font-size: 1.2rem;
    margin-bottom: 2rem;
}

/* Slideshow */
.slideshow {
    position: relative;
    width: 80%;
    max-width: 800px;
    margin: 0 auto;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.slide {
    position: static;
    top: 0;
    left: 0;
    width: 100%;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.slide img {
    width: 100%;
    border-radius: 10px;
}

.active {
    display: block;
}

/* Sections mit Hintergrundbildern */
.section {
    padding: 4rem 2rem;
    text-align: center;
    color: #fff;
    position: relative;
}

.background-image {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    color: #fff;
}

.background-image::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1;
}

.section h2,
.section p {
    position: relative;
    z-index: 2;
}

/* Footer */
footer {
    text-align: center;
    padding: 1rem;
    background-color: #f8f9fa;
    color: #555;
}
